package com.kexue.skills.service;
import com.github.pagehelper.PageInfo;

import com.kexue.skills.entity.SysMenu;
import com.kexue.skills.entity.dto.SysMenuDto;
import java.util.List;

/**
 * (SysMenu)表服务接口
 *
 * @author 王志维
 * @since 2025-02-21 23:01:48
 */
public interface SysMenuService extends BaseService {

    /**
     * 分页查询
     *
     * @param sysMenuDto 筛选条件
     * @return 查询结果
     */
    PageInfo<SysMenu> getPageList(SysMenuDto sysMenuDto);

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    SysMenu queryById(Long menuId);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<SysMenu> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param sysMenu 实例对象
     * @return 实例对象
     */
    SysMenu insert(SysMenu sysMenu);

    /**
     * 修改数据
     *
     * @param sysMenu 实例对象
     * @return 实例对象
     */
    SysMenu update(SysMenu sysMenu);

    /**
     * 通过主键删除数据
     *
     * @param menuId 主键
     * @return 是否成功
     */
    boolean deleteById(Long menuId);

}
